﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Windows7.DesktopIntegration.WindowsForms;
using System.Drawing.Imaging;
using System.IO;

namespace WinFormsDemo
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void EditStateButton_Click(object sender, EventArgs e)
		{
			SpeedEmulator.Enabled = false;
			WindowsFormsExtensions.SetTaskbarOverlayIcon(this, Icons.Edit, "Edit");
		}

		private void ErrorStateButton_Click(object sender, EventArgs e)
		{
			SpeedEmulator.Enabled = false;
			WindowsFormsExtensions.SetTaskbarOverlayIcon(this, Icons.Error, "Error");
		}

		private void ConfigStateButton_Click(object sender, EventArgs e)
		{
			SpeedEmulator.Enabled = false;
			WindowsFormsExtensions.SetTaskbarOverlayIcon(this, Icons.Config, "Config");
		}

		private void ClearStateButton_Click(object sender, EventArgs e)
		{
			SpeedEmulator.Enabled = false;
			WindowsFormsExtensions.SetTaskbarOverlayIcon(this, null, "Clear");
		}

		private static Icon BuildIcon(int param)
		{
			if ((param < 0) || (param >= 100))
			{
				throw new ArgumentException("param");
			}

			Bitmap image = Icons.BLANK2334242;
			Graphics.FromImage(image).DrawString(param.ToString(@"D2"), new Font("Arial", 54), Brushes.White, 10, 25);
			return Icon.FromHandle(image.GetHicon());
		}


		private void SpeedEmulator_Tick(object sender, EventArgs e)
		{
			WindowsFormsExtensions.SetTaskbarOverlayIcon(this, BuildIcon((new Random()).Next(0, 99)), "Stop");
		}

		private void SpeedTimerButton_Click(object sender, EventArgs e)
		{
			SpeedEmulator.Enabled = SpeedEmulator.Enabled == false;
		}
	}
}
